Add Template Section
curl --request POST \
--url https://api.artosai.com/api/v1/templates/{template_id}/sections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"section_name": "3. Safety Summary",
"level": 1,
"order_index": 2
}
'import requests
url = "https://api.artosai.com/api/v1/templates/{template_id}/sections"
payload = {
"section_name": "3. Safety Summary",
"level": 1,
"order_index": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({section_name: '3. Safety Summary', level: 1, order_index: 2})
};
fetch('https://api.artosai.com/api/v1/templates/{template_id}/sections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"section_id": "<string>",
"template_id": "<string>",
"section_name": "<string>",
"level": 123,
"order_index": 123
}Templates
Add Template Section
Add a new section to an existing template.
POST
/
api
/
v1
/
templates
/
{template_id}
/
sections
Add Template Section
Authorizations
Okta access-token JWT sent as a Bearer token. The token identifies the user and scopes access to the user's organization.
Path Parameters
UUID of template
Body
application/json
Response
Section added successfully
Success message
UUID of the created section
UUID of the parent template
Name of the created section
Nesting level of the section
Position of the section in the template
⌘I